/* ##############################################################
	설  명 : [Modal]공지사항 상세/수정 팝업
	작성일 : 2023. 01. 19.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2023. 01. 19.	NTsoft 	 최초 생성
*/
let userInquirySelectModal = {
    callback : null,
    reqParam : null,
    dataList : null,
    /* 모달 초기화 작업 */
    init : function () {
        $('#userInquirySelectModal').remove();
        $('body').append( this.HtmlTemplate);
        //그리드 이벤트
        this.setEvent();
    },
    /* 그리드 이벤트 설정 */
    setEvent:function() {
        $('#userInquirySelectModal .btnCancle').on("click", function(){
            userInquirySelectModal.close();
        });
    },
    /* 데이터 선택 */
    setSelect:function(selectNumber) {
        let checkedData = dataList[selectNumber];
        if(dataList==null||checkedData==undefined){
            return ;
        }

        if( userInquirySelectModal.callback )  {
            userInquirySelectModal.callback(checkedData);
        }
        userInquirySelectModal.close();
    },
    // 상세 조회
    search:function(state) {
        let muUserInquiryId = userInquirySelectModal.reqParam.muUserInquiryId;

        if(true != fn_emptyCheck(muUserInquiryId)){
            modalEvent.warning("조회", "문의사항 정보가 없습니다.");
            return;
        }

        let formData = new FormData();
        formData.append("muUserInquiryId", muUserInquiryId);

        $.ajax({
            url: encodeURI('/mobileuserinquiry/selectUserInquiry.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    $("#userInquirySelectModal #modalTitle").text(data.rows[0].title);
                    $("#userInquirySelectModal #modalContent").empty().html(data.rows[0].content.replace(/\n/g,"<br/>"));
                    $("#userInquirySelectModal #writeDate").text(data.rows[0].writeDate);
                    $("#userInquirySelectModal #writeTime").text(data.rows[0].writeTime);
                    if(data.rows[0].answer){
                        $("#userInquirySelectModal #answer").empty().html(data.rows[0].answer.replace(/\n/g,"<br/>"));
                        $("#userInquirySelectModal #answerDate").text(data.rows[0].answerDate);
                        $("#userInquirySelectModal #answerTime").text(data.rows[0].answerTime);
                        $("#userInquirySelectModal .modal-body").css('display','block')
                    }
                }
                else{
                    modalEvent.danger("조회 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    },
    /*
     * 팝업
     * callback : 콜백함수, reqParam: 팝업파라미터
     */
    popup:function(callback, reqParam) {
        // 초기화 후 열기
        userInquirySelectModal.init();

        //콜백함수 지정.
        userInquirySelectModal.callback = callback;
        userInquirySelectModal.reqParam = reqParam;
        userInquirySelectModal.dataList = null;

        setTimeout(function(){
            $('#userInquirySelectModal').modal('show')
        }, 200);

        userInquirySelectModal.search();
    },
    /*
     * 팝업 닫기
     */
    close:function() {
        $('#userInquirySelectModal').modal('hide');

		setTimeout(function(){
			$('#userInquirySelectModal').remove();
		},500);
    },
    HtmlTemplate : `
    <div class="modal inquirySelect_modal fade" id="userInquirySelectModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <p class="label" id="modalTitle">이벤트 시술 가격 문의</p>
                    <p>
                        <span id="writeDate">2021-07-07</span>
                        <span id="writeTime">14:00</span>
                    </p>
                    <p id="modalContent" class="inquiry_content">추석 연휴간 휴진하게 되어, 예약이 불가능합니다. 추석 연휴간 휴진하게 되어, 예약이 불가능합니다.</p>
                </div>
    
                <div class="modal-body" style="display:none">
                    <p class="label">문의 답변</p>
                    <p>
                        <span id="answerDate">2021-07-07</span>
                        <span id="answerTime">14:00</span>
                    </p>
                    <p id="answer" class="inquiry_answer">추석 연휴간 휴진하게 되어, 예약이 불가능합니다. 추석 연휴간 휴진하게 되어, 예약이 불가능합니다.</p>
                </div>
    
                <div class="modal-footer">
                    <div class="btn_box">
                        <button class="ok_btn btnCancle">확인</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    `
};
